10 Jun 2013

VMware Horizon View PowerCLI Commands Fail After Updating to Version 5.2

 After updating my View environment to version 5.2, I noticed that my PowerCLI scripts that I run on the View Connection Server keep failing. After looking into the issue I found that each script execution fails when trying to load the snap-in for View PowerCLI into PowerShell with the following error:

"Add-PSSnapin : Cannot load Windows PowerShell snap-in VMware.View.Broker because of the following error: The Windows PowerShell snap-in module C:\Program Files\VMware\VMware View\Server\bin\PowershellServicesCmdlets.dll does not required Windows PowerShell snap-in strong name PowershellServiceCmdLets, Version=5.1.0.12315, Culture=neutral, PublicJeyToken=null"

To resolve the issue, the new PowershellServiceCmdlets.dll file installed during the View Connection Server update, needs to be registered with Windows PowerShell .

To register the file, open a new Windows PowerShell prompt and run the following script:

“C:\Program Files\VMware\VMware View\Server\Extras\PowerShell\add-snapin.ps1”

Written by  2 comments
Last modified on Tuesday, 09 December 2014 15:22
Rate this item
(1 Vote)

Comments (2)

  1. Tim

I was seeing the same error after my upgrade. Thanks for posting this!

  Attachments
 
  1. Rynardt Spies    Tim

Glad it helped

  Attachments
 
There are no comments posted here yet

Leave your comments

Posting comment as a guest. Sign up or login to your account.
0 Characters
Attachments (0 / 3)
Share Your Location